polybori::groebner::BitMask< 0 > Class Template Reference

`#include <BitMask.h>`

## Public Types

enum | { nbits = 0, mask = (unsigned long)0 }

## Public Member Functions

unsigned long | low (const unsigned long &value) const
const unsigned long & | high (const unsigned long &value) const
const unsigned long & | shift (const unsigned long &value) const
unsigned long | back (const unsigned long &value) const

## Member Enumeration Documentation

anonymous enum

Enumerator
nbits |
mask |

## Member Function Documentation

unsigned long polybori::groebner::BitMask< 0 >::back | ( | const unsigned long & | value) |  | const

inline

const unsigned long& polybori::groebner::BitMask< 0 >::high | ( | const unsigned long & | value) |  | const

inline

unsigned long polybori::groebner::BitMask< 0 >::low | ( | const unsigned long & | value) |  | const

inline

const unsigned long& polybori::groebner::BitMask< 0 >::shift | ( | const unsigned long & | value) |  | const

inline

The documentation for this class was generated from the following file:

- BitMask.h